#-----------------------------------------------------------------------
# This script opens the file 'centaurus.fits' using the pyfits Python
# module, and exports it in a dummy variable in SIC.
#
# S.Bardeau, 08-apr-2016 ( gildas _at_ iram.fr )
#-----------------------------------------------------------------------

# Open the FITS file, get its size.
import pyfits
a = pyfits.open('centaurus.fits')
naxis1 = a[0].header.get('NAXIS1')
naxis2 = a[0].header.get('NAXIS2')

# Now launch GreG
import pygreg
pygreg.define("image cen[%d,%d] thecopy.gdf real" % (naxis1,naxis2) )

pygreg.gdict.cen = a[0].data[0,0,:,:]

pygreg.comm('device image white')
pygreg.comm('limits /rg cen')
pygreg.comm('greg\plot')
pygreg.comm('box')

pygreg.delete(pygreg.gdict.cen)

del pyfits, a, naxis1, naxis2
